commit:     930a7a4c2d007619bc4a0347b951b82379d822af
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 12:47:22 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Oct 25 05:41:44 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=930a7a4c

dev-ruby/listen: make sure only one slot installs in bin

Package-Manager: portage-2.2.20.1

 ...{listen-3.0.3.ebuild => listen-2.8.6-r1.ebuild} | 27 ++++++++--------------
 dev-ruby/listen/listen-3.0.3.ebuild                |  2 +-
 2 files changed, 11 insertions(+), 18 deletions(-)

diff --git a/dev-ruby/listen/listen-3.0.3.ebuild 
b/dev-ruby/listen/listen-2.8.6-r1.ebuild
similarity index 69%
copy from dev-ruby/listen/listen-3.0.3.ebuild
copy to dev-ruby/listen/listen-2.8.6-r1.ebuild
index 524cd1d..3a83aaf 100644
--- a/dev-ruby/listen/listen-3.0.3.ebuild
+++ b/dev-ruby/listen/listen-2.8.6-r1.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=5
 
-USE_RUBY="ruby20 ruby21"
+USE_RUBY="ruby19 ruby20 ruby21"
 
 RUBY_FAKEGEM_RECIPE_TEST="rspec3"
 
@@ -13,6 +13,8 @@ RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
 
 RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
 
+RUBY_FAKEGEM_BINWRAP=""
+
 inherit ruby-fakegem
 
 SRC_URI="https://github.com/guard/listen/archive/v${PV}.tar.gz -> ${P}.tar.gz"
@@ -20,28 +22,19 @@ DESCRIPTION="Listens to file modifications and notifies you 
about the changes"
 HOMEPAGE="https://github.com/guard/listen";
 
 LICENSE="MIT"
-SLOT="3"
+SLOT="2"
 KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="test"
+IUSE=""
 
 # Block on other packages trying to install a /usr/bin/listen
 RDEPEND+="!!media-sound/listen !!media-radio/ax25"
 
-ruby_add_rdepend ">=dev-ruby/rb-inotify-0.9.0"
-
-ruby_add_bdepend "test? ( dev-ruby/thor )"
+ruby_add_rdepend ">=dev-ruby/rb-inotify-0.9.0
+       >=dev-ruby/celluloid-0.15.2"
+ruby_add_bdepend "test? ( dev-ruby/celluloid-io )"
 
 all_ruby_prepare() {
-       rm -f Gemfile || die
-       sed -i -e "/git/,+3d" -e "/rb-fsevent/d" ${PN}.gemspec || die
+       sed -i -e "/git/,+3d" -e "/rb-fsevent/d" -e "/bundler/d" -e 
"/rspec-retry/d" ${PN}.gemspec || die
+       sed -i -e "/retry/d"  spec/spec_helper.rb || die
        rm -rf spec/lib/listen/adapter/darwin_spec.rb || die
 }
-
-each_ruby_prepare() {
-       mkdir spec/.fixtures || die
-}
-
-each_ruby_test() {
-       RSPEC_VERSION=3 ruby-ng_rspec
-       rm -rf spec/.fixtures || die
-}

diff --git a/dev-ruby/listen/listen-3.0.3.ebuild 
b/dev-ruby/listen/listen-3.0.3.ebuild
index 524cd1d..7e1ab80 100644
--- a/dev-ruby/listen/listen-3.0.3.ebuild
+++ b/dev-ruby/listen/listen-3.0.3.ebuild
@@ -25,7 +25,7 @@ KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solari
 IUSE="test"
 
 # Block on other packages trying to install a /usr/bin/listen
-RDEPEND+="!!media-sound/listen !!media-radio/ax25"
+RDEPEND+="!!media-sound/listen !!media-radio/ax25 !!<dev-ruby/listen-2.8.6:2"
 
 ruby_add_rdepend ">=dev-ruby/rb-inotify-0.9.0"
 

Reply via email to